module Topkata.CommandLineArgs where

import System.Console.ParseArgs

data Option = WindowOption deriving (Show, Ord, Eq)

argd :: [ Arg Option ] 
argd = [ Arg { argIndex = WindowOption,
               argName = Just "window",
               argAbbr = Just 'w',
               argData = Nothing,
               argDesc = "start in window mode" } ]

args = parseArgsIO ArgsComplete argd

windowOption args = gotArg args WindowOption